ifeq ($(TOPDIR)/arch/$(ARCH)/Make.inc,$(wildcard $(TOPDIR)/arch/$(ARCH)/Make.inc))
include $(TOPDIR)/arch/$(ARCH)/Make.inc
endif

CFLAGS		+= -I$(TOPDIR)/include

all-recursive:
		for i in $(DIRS); do $(MAKE) -C $$i all; done

clean-recursive:
		for i in $(DIRS); do $(MAKE) -C $$i clean; done

install-recursive:
		for i in $(DIRS); do $(MAKE) -C $$i install; done

.c.o:
		$(CC) $(CFLAGS) -c $<

.S.o:
		$(CC) $(ASFLAGS) -c $<

.c.s:
		$(CC) $(CFLAGS) -S $<

.c.i:
		$(CC) $(CFLAGS) -E $< > $@

.SUFFIXES:	.i
