#include "sys/uos.h"
#include "sys/lib.h"
#include "sys/uart.h"

void
uart_puts (uart_t *u, const char *str)
{
	char c;

	for (;;) {
		c = readb (str);
		if (! c)
			return;
		uart_putchar (u, c);
		++str;
	}
}
