#include <stdlib.h>
#include <assert.h>
#include "sys/uos.h"
#include "sys/machdep.h"
#include "sys/internal.h"

/*
 * Compute the amount of task's unused stack space.
 */
int
task_stack_avail (char *stack)
{
	task_t *t;
	char *s;

	t = (task_t*) stack;
	s = t->stack;
	while (*s == STACK_MAGIC)
		++s;
	return s - t->stack;
}
