#include <stdlib.h>
#include <assert.h>
#include "sys/uos.h"
#include "sys/machdep.h"
#include "sys/internal.h"

/*
 * Wait for the task to exit,
 * return the task exit message.
 */
void *
task_wait (task_t *t)
{
	if (t->finalizer)
		lock_wait (t->finalizer);
	return 0;
}
