#include "sys/uos.h"
#include "sys/lib.h"
#include "sys/uart.h"

int
uart_vprintf (uart_t *u, const char *fmt, va_list args)
{
	return doprnt ((void(*)(void*,char)) uart_putchar, u, fmt, args);
}

int
uart_printf (uart_t *u, const char *fmt, ...)
{
	va_list	args;
	int err;

	va_start (args, fmt);
	err = doprnt ((void(*)(void*,char)) uart_putchar, u, fmt, args);
	va_end (args);
	return err;
}
