#ifndef __SYS_LIB_H_
#define	__SYS_LIB_H_ 1

#include <stdarg.h>

#if __AVR__
#include <machine/io.h>
#define FETCH(p) readb ((int) (p))
#endif

#ifndef FETCH
#define FETCH(p) (*(unsigned char*)(p))
#endif

#ifndef CONST
#define CONST(p) p
#endif

int doprnt (void (*)(void*, char), void*, char const*, va_list);

short rand15 (void);
void srand15 (unsigned short);

void debug_putchar (void *arg, char c);
unsigned char debug_getchar (void);
void debug_puts (const char *str);
int debug_printf (const char *fmt, ...);

#ifndef NDEBUG
void breakpoint ();
#endif

#endif /* !__SYS_LIB_H_ */
