#ifndef TIMER_STACKSZ
#   if __AVR__
#      define TIMER_STACKSZ	100
#   endif
#   if __MSDOS__
#      define TIMER_STACKSZ	200
#   endif
#endif

typedef struct {
	lock_t lock;
	unsigned long milliseconds;	/* real time counter */
	char stack [TIMER_STACKSZ];	/* task stack */
} timer_t;

void timer_init (timer_t *t, int prio);
void timer_delay (timer_t *t, unsigned long msec);	/* delay current task */
unsigned long timer_milliseconds (timer_t *t);		/* query real time */
